MCP Tools Reference: dataform.googleapis.com

Tool: remove_file

Delete a file inside a Dataform workspace.

The deletion stays uncommitted until the commit_workspace_changes tool is called.

The workspace parameter value must be in the format projects/{project_id}/locations/{location}/repositories/{repository}/workspaces/{workspace}.

The path parameter value is the relative path to the file from the workspace root. Don't use directory traversal, such as ... Valid file paths can be obtained using the query_directory_contents or search_files tools.

The following code sample shows how to use curl to call the remove_file MCP tool.

Curl Request
curl --location 'https://dataform.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "remove_file",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

RemoveFile request message.

RemoveFileRequest

JSON representation
{
  "workspace": string,
  "path": string
}
Fields
workspace

string

Required. The workspace's name.

path

string

Required. The file's full path including filename, relative to the workspace root.

Output Schema

RemoveFile response message.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌